%define modulename html5lib

Name:		python-%{modulename}
Summary:	A python based HTML parser/tokenizer
Version:	1.0b3
Release:	%mkrel 3
Group:		Development/Python
License:	MIT
URL:		https://pypi.python.org/pypi/%{modulename}

Source0:	https://pypi.python.org/packages/source/h/%{modulename}/%{modulename}-%{version}.tar.gz	

BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:	pkgconfig(python)
BuildRequires:	python-nose
BuildRequires:	python-six

BuildRequires:	pkgconfig(python3)
BuildRequires:	python-tools
BuildRequires:	python3-nose
BuildRequires:	python3-six
BuildRequires:	python3-setuptools


%description
A python based HTML parser/tokenizer based on the WHATWG HTML5 
specification for maximum compatibility with major desktop web browsers.

%package -n python3-%{modulename}
Summary:	A python based HTML parser/tokenizer 
Group:		Development/Python 

%description -n python3-%{modulename}
A python based HTML parser/tokenizer based on the WHATWG HTML5 
specification for maximum compatibility with major desktop web browsers.


%prep
%setup -q -n %{modulename}-%{version} 

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd


%install

pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
nosetests

pushd %{py3dir}
nosetests-3.3
popd

%files
%doc CHANGES.rst README.rst LICENSE 
%{python_sitelib}/%{modulename}-*.egg-info
%{python_sitelib}/%{modulename}

%files -n python3-%{modulename}
%doc CHANGES.rst LICENSE README.rst
%{python3_sitelib}/%{modulename}-*.egg-info
%{python3_sitelib}/%{modulename}



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.0b3-3.mga4
+ Revision: 543477
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0b3-2.mga4
+ Revision: 498719
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Aug 24 2013 philippem <philippem> 1.0b3-1.mga4
+ Revision: 470869
- imported package python-html5lib

